int m_numberOfLayers; // number of Structure Layers #endregion #region Interface implementation /// <summary> /// Implement this method as an external command for Revit. /// </summary> /// <param name="commandData">An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.</param> /// <param name="message">A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.</param> /// <param name="elements">A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.</param> /// <returns>Return the status of the external command. /// A result of Succeeded means that the API external method functioned as expected. /// Cancelled can be used to signify that the user cancelled the external operation /// at some point. Failure should be returned if the application is unable to proceed with /// the operation.</returns> public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData commandData, ref string message, Autodesk.Revit.DB.ElementSet elements) { Autodesk.Revit.UI.UIApplication revit = commandData.Application; try { // function initialization and find out a slab's Level, Type name, and set the Span Direction properties. bool isInitialization = this.Initialize(revit); if (false == isInitialization) { return(Autodesk.Revit.UI.Result.Failed); } // show a displayForm to display the properties of the slab SlabPropertiesForm slabForm = new SlabPropertiesForm(this); if (DialogResult.OK != slabForm.ShowDialog()) { return(Autodesk.Revit.UI.Result.Cancelled); } } catch (Exception displayProblem) { TaskDialog.Show("Revit", displayProblem.ToString()); return(Autodesk.Revit.UI.Result.Failed); } return(Autodesk.Revit.UI.Result.Succeeded); }
/// <summary> /// Run this sample /// </summary> public void Run() { try { // function initialization and find out a slab's Level, Type name, and set the Span Direction properties. bool isInitialization = this.Initialize(m_doc); if (false == isInitialization) { return; } // show a displayForm to display the properties of the slab SlabPropertiesForm slabForm = new SlabPropertiesForm(this); if (DialogResult.OK != slabForm.ShowDialog()) { return; } } catch (Exception displayProblem) { MessageBox.Show(displayProblem.ToString()); return; } }
/// <summary> /// Implement this method as an external command for Revit. /// </summary> /// <param name="commandData">An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.</param> /// <param name="message">A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.</param> /// <param name="elements">A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.</param> /// <returns>Return the status of the external command. /// A result of Succeeded means that the API external method functioned as expected. /// Cancelled can be used to signify that the user cancelled the external operation /// at some point. Failure should be returned if the application is unable to proceed with /// the operation.</returns> public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData commandData, ref string message, Autodesk.Revit.DB.ElementSet elements) { Autodesk.Revit.UI.UIApplication revit = commandData.Application; try { // function initialization and find out a slab's Level, Type name, and set the Span Direction properties. bool isInitialization = this.Initialize(revit); if (false == isInitialization) { return Autodesk.Revit.UI.Result.Failed; } // show a displayForm to display the properties of the slab SlabPropertiesForm slabForm = new SlabPropertiesForm(this); if (DialogResult.OK != slabForm.ShowDialog()) { return Autodesk.Revit.UI.Result.Cancelled; } } catch (Exception displayProblem) { MessageBox.Show(displayProblem.ToString()); return Autodesk.Revit.UI.Result.Failed; } return Autodesk.Revit.UI.Result.Succeeded; }